# Generated by Django 3.0.5 on 2020-04-16 08:11

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("data_france", "0011_auto_20200416_0413"),
    ]

    operations = [
        migrations.CreateModel(
            name="CollectiviteDepartementale",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "code",
                    models.CharField(
                        max_length=4, unique=True, verbose_name="Code INSEE"
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        choices=[
                            ("D", "Conseil départemental"),
                            ("M", "Conseil de métropole"),
                        ],
                        max_length=1,
                        verbose_name="Type de collectivité départementale",
                    ),
                ),
                (
                    "actif",
                    models.BooleanField(
                        default=True, verbose_name="En cours d'existence"
                    ),
                ),
                ("nom", models.CharField(max_length=200, verbose_name="Nom")),
                (
                    "population",
                    models.PositiveIntegerField(null=True, verbose_name="Population"),
                ),
                (
                    "geometry",
                    django.contrib.gis.db.models.fields.MultiPolygonField(
                        geography=True, null=True, srid=4326, verbose_name="Géométrie"
                    ),
                ),
            ],
            options={
                "ordering": ("code",),
                "verbose_name": "Collectivité à compétences départementales",
                "verbose_name_plural": "Collectivités à compétences départementales",
            },
        ),
        migrations.CreateModel(
            name="CollectiviteRegionale",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "code",
                    models.CharField(
                        max_length=4, unique=True, verbose_name="Code INSEE"
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        choices=[
                            ("R", "Conseil régional"),
                            ("U", "Collectivité territoriale unique"),
                        ],
                        max_length=1,
                        verbose_name="Type de collectivité départementale",
                    ),
                ),
                (
                    "actif",
                    models.BooleanField(
                        default=True, verbose_name="En cours d'existence"
                    ),
                ),
                ("nom", models.CharField(max_length=200, verbose_name="Nom")),
            ],
            options={
                "ordering": ("nom",),
                "verbose_name": "Collectivité à compétences régionales",
                "verbose_name_plural": "Collectivités à compétences régionales",
            },
        ),
        migrations.RemoveConstraint(model_name="commune", name="commune_unique_code",),
        migrations.AddConstraint(
            model_name="commune",
            constraint=models.CheckConstraint(
                check=models.Q(
                    models.Q(("departement_id__isnull", False), ("type", "COM")),
                    models.Q(
                        ("departement__isnull", True),
                        models.Q(_negated=True, type="COM"),
                    ),
                    _connector="OR",
                ),
                name="commune_departement_constraint",
            ),
        ),
        migrations.AddConstraint(
            model_name="commune",
            constraint=models.UniqueConstraint(
                fields=("type", "code"), name="commune_unique_code"
            ),
        ),
        migrations.AddField(
            model_name="collectiviteregionale",
            name="region",
            field=models.OneToOneField(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="collectivite",
                to="data_france.Region",
                verbose_name="Circonscription administrative correspondante",
            ),
        ),
        migrations.AddField(
            model_name="collectivitedepartementale",
            name="departement",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                to="data_france.Departement",
                verbose_name="Circonscription administrative correspondante",
            ),
        ),
    ]
